RAM / Client / update_permission

update_permission

RAM.Client.update_permission(**kwargs)

Updates the status of the specified customer managed permission.

Setting the status to DEPRECATED prevents new resource share associations. Setting it to ATTACHABLE restores a previously deprecated permission. Existing resource shares that use the permission continue to function.

See also: AWS API Documentation

Request Syntax

response = client.update_permission(
    permissionArn='string',
    status='ATTACHABLE'|'DEPRECATED',
    clientToken='string'
)
Parameters:
  • permissionArn (string) –

    [REQUIRED]

    Specifies the Amazon Resource Name (ARN) of the customer managed permission that you want to update.

  • status (string) –

    [REQUIRED]

    Specifies the new status for the permission. This can be one of the following values:

    • ATTACHABLE – Restores a previously deprecated permission so it can be associated with resource shares again.

    • DEPRECATED – Deprecates the permission so it can no longer be associated with new resource shares.

  • clientToken (string) –

    Specifies a unique, case-sensitive identifier that you provide to ensure the idempotency of the request. This lets you safely retry the request without accidentally performing the same operation a second time. Passing the same value to a later call to an operation requires that you also pass the same value for all other parameters. We recommend that you use a UUID type of value..

    If you don’t provide this value, then Amazon Web Services generates a random one for you.

    If you retry the operation with the same ClientToken, but with different parameters, the retry fails with an IdempotentParameterMismatch error.

Return type:

dict

Returns:

Response Syntax

{
    'clientToken': 'string',
    'permissionStatus': 'ATTACHABLE'|'DEPRECATED'
}

Response Structure

  • (dict) –

    • clientToken (string) –

      The idempotency identifier associated with this request. If you want to repeat the same operation in an idempotent manner then you must include this value in the clientToken request parameter of that later call. All other parameters must also have the same values that you used in the first call.

    • permissionStatus (string) –

      The updated status of the permission.

Exceptions